  <?php 

    include_once('functions.php'); 
    require_once("thumbnail_images.class.php");
  
    if(isset($_GET['id'])) {
      $ID = $_GET['id'];
    } else {
      $ID = "";
    }
    
    // create array variable to store category data
    $category_data = array();
      
    $sql_query = "SELECT cid, category_name 
        FROM tbl_category 
        ORDER BY cid ASC";
        
    $stmt_category = $connect->stmt_init();
    if($stmt_category->prepare($sql_query)) { 
      // Execute query
      $stmt_category->execute();
      // store result 
      $stmt_category->store_result();
      $stmt_category->bind_result($category_data['cid'], 
        $category_data['category_name']
        );
        
    }
      
    $sql_query = "SELECT image FROM tbl_gallery WHERE id = ?";
    
    $stmt = $connect->stmt_init();
    if($stmt->prepare($sql_query)) {  
      // Bind your variables to replace the ?s
      $stmt->bind_param('s', $ID);
      // Execute query
      $stmt->execute();
      // store result 
      $stmt->store_result();
      $stmt->bind_result($previous_image);
      $stmt->fetch();
      $stmt->close();
    }
        
    if(isset($_POST['btnEdit'])){

      $cid = $_POST['cid'];
      
      // get image info
      $image = $_FILES['image']['name'];
      $image_error = $_FILES['image']['error'];
      $image_type = $_FILES['image']['type'];
        
      // create array variable to handle error
      $error = array();
      
      if (empty($cid)) {
        $error['cid'] = " <span class='label label-danger'>Required, please fill out this field!!</span>";
      }
      
      // common image file extensions
      $allowedExts = array("gif", "jpeg", "jpg", "png");
      
      // get image file extension
      error_reporting(E_ERROR | E_PARSE);
      $extension = end(explode(".", $_FILES["image"]["name"]));
      
      if(!empty($image)){
        if(!(($image_type == "image/gif") || 
          ($image_type == "image/jpeg") || 
          ($image_type == "image/jpg") || 
          ($image_type == "image/x-png") ||
          ($image_type == "image/png") || 
          ($image_type == "image/pjpeg")) &&
          !(in_array($extension, $allowedExts))){
          
          $error['image'] = "*<span class='label label-danger'>Image type must jpg, jpeg, gif, or png!</span>";
        }
      }
      
          
      if (!empty($cid) && empty($error['image'])) {
        
        if (!empty($image)) {
          
          // create random image file name
          $string = '0123456789';
          $file = preg_replace("/\s+/", "_", $_FILES['image']['name']);
          $function = new functions;
          $image = $function->get_random_string($string, 4)."-".date("Y-m-d").".".$extension;
        
          // delete previous image
          $delete = unlink('upload/'."$previous_image");
          $delete = unlink('upload/thumbs/'."$previous_image");
          
          // upload new image
          $unggah = 'upload/'.$image;
          $upload = move_uploaded_file($_FILES['image']['tmp_name'], $unggah);

          error_reporting(E_ERROR | E_PARSE);
          copy($image, $unggah);
                   
                      $thumbpath= 'upload/thumbs/'.$image;
                      $obj_img = new thumbnail_images();
                      $obj_img->PathImgOld = $unggah;
                      $obj_img->PathImgNew =$thumbpath;
                      $obj_img->NewWidth = 300;
                      $obj_img->NewHeight = 300;
                      if (!$obj_img->create_thumbnail_images()) 
                        {
                        echo "Thumbnail not created... please upload image again";
                          exit;
                        }  
    
          // updating all data
          $sql_query = "UPDATE tbl_gallery SET cat_id = ?, image = ? WHERE id = ?";
          
          $upload_image = $image;
          $stmt = $connect->stmt_init();
          if($stmt->prepare($sql_query)) {  
            // Bind your variables to replace the ?s
            $stmt->bind_param('sss', 
                  $cid,
                  $upload_image,
                  $ID);
            // Execute query
            $stmt->execute();
            // store result 
            $update_result = $stmt->store_result();
            $stmt->close();
          }
        } else {
          
          // updating all data except image file
          $sql_query = "UPDATE tbl_gallery SET cat_id = ? WHERE id = ?";
              
          $stmt = $connect->stmt_init();
          if($stmt->prepare($sql_query)) {  
            // Bind your variables to replace the ?s
            $stmt->bind_param('ss', 
                  $cid,
                  $ID );
            // Execute query
            $stmt->execute();
            // store result 
            $update_result = $stmt->store_result();
            $stmt->close();
          }
        }
          
        // check update result
        if($update_result) {
          $error['update_data'] = "<br><div class='alert alert-info'>Updated Successfully...</div>";
        } else {
          $error['update_data'] = "<br><div class='alert alert-danger'>Update Failed</div>";
        }
      }
      
    }
    
    // create array variable to store previous data
    $data = array();
      
    $sql_query = "SELECT id, cat_id, image FROM tbl_gallery WHERE id = ?";
      
    $stmt = $connect->stmt_init();
    if($stmt->prepare($sql_query)) {  
      // Bind your variables to replace the ?s
      $stmt->bind_param('s', $ID);
      // Execute query
      $stmt->execute();
      // store result 
      $stmt->store_result();
      $stmt->bind_result($data['id'], 
          $data['cat_id'],
          $data['image']
          );
      $stmt->fetch();
      $stmt->close();
    }
    
      
  ?>

   <section class="content">
   
        <ol class="breadcrumb">
            <li><a href="dashboard.php">Dashboard</a></li>
            <li><a href="manage-wallpaper.php">Manage Wallpaper</a></li>
            <li class="active">Edit Wallpaper</a></li>
        </ol>

       <div class="container-fluid">

            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">

                	<form id="form_validation" method="post" enctype="multipart/form-data">
                    <div class="card">
                        <div class="header">
                            <h2>EDIT WALLPAPER</h2>
                            <?php echo isset($error['update_data']) ? $error['update_data'] : '';?>
                        </div>
                        <div class="body">

                        	<div class="row clearfix">
                            <div class="col-md-12">

                                    <div class="form-group col-sm-12">
                                        <div class="font-12">Category</div>

                                        <select class="form-control show-tick" name="cid" class="form-control">
                                          <?php while($stmt_category->fetch()){ 
                                            if($category_data['cid'] == $data['cid']){?>
                                              <option value="<?php echo $category_data['cid']; ?>" selected="<?php echo $data['cid']; ?>" ><?php echo $category_data['category_name']; ?></option>
                                            <?php }else{ ?>
                                              <option value="<?php echo $category_data['cid']; ?>" ><?php echo $category_data['category_name']; ?></option>
                                            <?php }} ?>
                                        </select>

                                    </div>

                                    <div class="col-sm-6">
                                    <div class="font-12 ex1">Image ( jpg / png )</div>
                                    <div class="form-group">
                                        <input type="file" name="image" id="fileupload" class="dropify-image" data-max-file-size="3M" data-allowed-file-extensions="jpg jpeg png gif" data-default-file="upload/<?php echo $data['image']; ?>" data-show-remove="false"/>
                                    </div>
                                    <div class="font-13 ex1">( Recommended resolution : 480x854 or 720x1280 or 1080x1980 )</div>
                                    </div>                                

                                    <div class="col-sm-12">
                                    <button type="submit" name="btnEdit" class="btn bg-blue waves-effect pull-right ">SUBMIT</button>
                                </div>
                            </div>
                            </div>
                        </div>
                    </div>
                    </form>

                </div>
            </div>
            
        </div>

    </section>